EVENTD-ND.CONF(5)

NAME
eventd-nd.conf - nd plugin configuration

SYNOPSIS

Configuration for the nd plugin.

DESCRIPTION

The nd plugins provides on-screen notifications (aka “bubbles”). It depends on backends to display them.

GLOBAL SECTIONS

  Section [NotificationXcb]

The XCB backend configuration

Outputs=
    A list of output names

    The backend will try to find the first available output in the list. If none is found, it will fallback to the primary output, then to use the full screen.

FollowFocus=
    An enumeration: Mouse, Keyboard, None

    The backend will monitor the (mouse or keyboard) focused output and put bubbles on it.

    This setting overrides Outputs=.

ACTION SECTIONS

  Section [Notification]

Disable=
    A boolean

    If true, the event will not have its bubble.

Other settings are inherited from the global configuration. You may override them on an action basis.

SHARED SECTIONS

These sections are valid in both global and action configurations.

  Section [Queue name]

These sections control the possible bubble queues. There is always at least the "default queue available. The z-ordering is entirely undefined and it is left to the user to achieve a usable configuration.

Contents keys

    Anchor= (defaults to top-right)
        An enumeration: top-left, top, top-right, bottom-left, bottom, bottom-right

        The anchor of this queue.

    Limit= (defaults to 1)
        An integer

        Maximum number of bubbles in this queue at the same time.

    Margin= (defaults to 13)
        A list of integers (one or two)

        Margin between bubble and anchor.

        If two values are provided, the first is used as horizontal margin, and the second as vertical margin.

    Spacing= (defaults to 13)
        An integer

        Spacing between each bubble.

    OldestAtAnchor= (defaults to false)
        A boolean

        If true, the oldest of visible bubbles will be at the anchor.

        The default is to put the newest displayed bubble at anchor.

    MoreIndicator= (defaults to false)
        A boolean

        If true, an extra bubble will be displayed if there are notifications waiting for display and the limit is reached.

  Section [Notification]

Contents keys

    Text= (defaults to "<b>${title}</b>${message/^/\n}")
        A localised format string

        The notification's title. It will be highlighted compared to the message.

    Image= (defaults to "image")
        A file URI

        The notification's image. Generally event-specific.

    Icon= (defaults to "icon")
        A file URI

        The notification's icon. Generally application-specific or category-specific.

    Progress= (defaults to "progress-value")
        A data name

        The data to use to create a progress bar. The data must be a double.

  Style keys

Following keys define the style of the bubble's contents.

Section [NotificationBubble]

    Anchor= (defaults to "default")
        A queue name

        See the section called “Section [Queue name]” for more details.

    Timeout= (defaults to 3000, 0 to disable)
        A time in milliseconds

        Time for which the bubble will appear on screen.

    MinWidth= (defaults to 200), MaxWidth= (defaults to -1, unlimited)
        Two integers, -1 is unlimited

        These two keys control the bubble width.

        The maximum width overrides the minimum.

        These include padding.

    Padding= (defaults to 10)
        An integer

        Padding between bubble's contents and border.

    Radius= (defaults to 10)
        An integer

        Radius of bubble's corners.

    Colour= (defaults to "#262626")
        A colour string

        Colour of bubble's background.

    Border= (defaults to 0)
        An integer

        Width of bubble's borders.

    BorderColour= (defaults to "#191919")
        A colour string

        Colour of bubble's borders.

    BorderBlur= (defaults to 5)
        An integer

        Blur size of the border, to achieve a shadow effect.

Section [NotificationText]

    These are global parameters for the whole text. You can use Pango Markup[1] to have finer-grained control on your text.

    Font= (defaults to "Linux Libertine O 9")
        A Pango font description string

        Fonts for the bubble's text.

    Alignment= (defaults to Left)
        An enumeration: Left, Right, Center

        Text horizontal aligment.

    VerticalAlignment= (defaults to Top)
        An enumeration: Top, Bottom, Center

        Text vertical aligment.

    Ellipsize= (defaults to None)
        An enumeration: None, Start, Middle, End

        What kind of ellipsization to apply to text.

    MaxLines= (defaults to 10)
        An integer, 3 minimum, -1 is unlimited

        The maximum number of lines the text should show (including the ellipsis).

        nd will do its best to display at most this number of line, but it may fail to detect the actual number of drawn lines.

    Colour= (defaults to "#262626")
        A colour string

        Colour of bubble's text.

Section [NotificationImage]

    MaxWidth= (defaults to 50), MaxHeight= (defaults to 50)
        Two integers, -1 is unlimited

        These two keys control the image size.

    Margin= (defaults to 10)
        An integer

        Margin between bubble's image and text.

    Anchor= (defaults to Top)
        An enumeration: Top, Bottom, Center

        Vertical image's aligment.

Section [NotificationIcon]

    Placement= (defaults to Background)
        An enumeration: Background, Overlay, Foreground

        Bubble's icon can be placed at several places.

        Background
            The icon is placed in the bubble's background

            The icon is rendered as fading behind the text.

        Overlay
            The icon is placed over the bubble image

            The icon is rendered over the image, in the bottom right corner, with a quarter of it outside.

        Foreground
            The icon is placed on the opposite side of the bubble image

    MaxWidth= (defaults to 25), MaxHeight= (defaults to 25)
        Two integers, -1 is unlimited

        These two keys control the icon size.

    FadeWidth= (defaults to 75)
        A percentage as an integer

        Determines the fading width when the icon is placed in background.

        Used only if placement is Background.

    Anchor= (defaults to Center)
        An enumeration: Top, Bottom, Center

        Vertical icon's aligment.

        Used only if placement is Background or Foreground.

    Margin= (defaults to 10)
        An integer

        Margin between bubble's icon and text.

        Used only if placement is Foreground.

Section [NotificationProgress]

    Placement= (defaults to bar)
        An enumeration: Bar, Image Bottom-to-Top, Image Top-to-Bottom, Image Left-to-Right, Image Right-to-Left, Image Circular

    Reversed= (defaults to false)
        A boolean

        When true, use 1.0 - value as value.

    Colour= (defaults to "#262626")
        A colour string

        Colour of bubble's text.

SEE ALSO

eventd core man pages

    eventd(1)
        eventd daemon command-line options

    eventdctl(1)
        eventdctl (control tool) command-line options

    eventd.conf(5)
        eventd configuration

        Contains information about all the event configuration

    Plugins installed with eventd will use the same scheme: eventd-plugin-name for their additional eventd command-line options, eventdctl-plugin-name for their additional eventdctl command-line options, eventd-plugin-name.conf for their configuration,

Plugins man pages

        • exec plugin: eventd-exec.conf(5)

        • file plugin: eventd-file.conf(5)

        • nd plugin: eventdctl-nd(1) eventd-nd.conf(5)

        • notify plugin: eventd-notify.conf(5)

AUTHOR

Quentin Glidic <sardemff7@eventd.org>
    Developer

NOTES

1.  Pango Markup
    https://developer.gnome.org/pango/stable/PangoMarkupFormat.html